TaskbarItem (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar
Class TaskbarItem

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar.TaskbarItem

    public class TaskbarItem

extends Object

Author:
  Massimiliano Assante (ISTI-CNR), Daniele Strollo

Constructor Summary
`TaskbarItem(String scope, org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator type, MainPanel container, String resourceID, String title, String uiComponentID, String buttonIcon)`

Method Summary
`protected void` | `activate()`
`void` | `destroy()`
`protected void` | `disactivate()`
`TaskbarWindow` | `getRelatedWindow()`
`String` | `getResourceID()`
`org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskbarItem

    public TaskbarItem(String scope,
                       org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator type,
                       MainPanel container,
                       String resourceID,
                       String title,
                       String uiComponentID,
                       String buttonIcon)

Method Detail

### getResourceID

    public final String getResourceID()

### destroy

    public final void destroy()

### disactivate

    protected final void disactivate()

### activate

    protected final void activate()

### getRelatedWindow

    public final TaskbarWindow getRelatedWindow()

### getType

    public org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.